summaryrefslogtreecommitdiff
path: root/Master/tlpkg/bin/ctan2tl
diff options
context:
space:
mode:
authorKarl Berry <karl@freefriends.org>2014-01-05 19:27:18 +0000
committerKarl Berry <karl@freefriends.org>2014-01-05 19:27:18 +0000
commit59faa311e97dff9839ad116dc99ad620037462ff (patch)
treee0b303ace9ed0b384e9c608071e78de577f0da9a /Master/tlpkg/bin/ctan2tl
parentf237cb1d9d8f85e5dc202b83a2a2c90d3b47952d (diff)
mptopdf (for year in man page)
git-svn-id: svn://tug.org/texlive/trunk@32580 c570f23f-e606-0410-a88d-b1316a301751
Diffstat (limited to 'Master/tlpkg/bin/ctan2tl')
-rwxr-xr-xMaster/tlpkg/bin/ctan2tl9
1 files changed, 8 insertions, 1 deletions
diff --git a/Master/tlpkg/bin/ctan2tl b/Master/tlpkg/bin/ctan2tl
index 7eceea51f1d..7f857c1fe02 100755
--- a/Master/tlpkg/bin/ctan2tl
+++ b/Master/tlpkg/bin/ctan2tl
@@ -127,8 +127,15 @@ ctan2tds --ctan-dir=$ctan_dir $pkg || exit 1
cd $cooked || exit 1
printf "\n\f cooked\n"
-find $pkg -name TDS_READY -exec rm '{}' \; # remove sentinel file
+find $pkg -name TDS_READY -exec rm '{}' \; # remove sentinel file
find -depth -type d | xargs rmdir 2>/dev/null # remove empty directories
+
+if test -n "`find -name \*\ \*`"; then
+ echo "$0: cooked hierarchy contains files with spaces, goodbye." >&2
+ exit 1
+fi
+
+# show list of files (and tee to tmp).
find $pkg \! -type d -printf "%TY%Tm%Td.%TH%TM %p\n" | sort -k2 \
| tee ${TMPDIR-/tmp}/ctan2tl.files